Unit aeb2e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER2E_p, AER4E_p, AER3E_p, UTAE10_p;

procedure aeb2e(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Extended; var RUB :Extended;
                var A :Array of Extended; var EV :Array of Extended;
                var V :Array of Extended; var IRAB1 :Array of Integer;
                var RAB1 :Array of Extended; var RAB2 :Array of Extended;
                var IERR :Integer);

implementation

procedure aeb2e(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Extended; var RUB :Extended;
                var A :Array of Extended; var EV :Array of Extended;
                var V :Array of Extended; var IRAB1 :Array of Integer;
                var RAB1 :Array of Extended; var RAB2 :Array of Extended;
                var IERR :Integer);
var
I,J,N1,N2,N3,N4,N5,NV :Integer;
EPS1 :Extended;
label
_1,_2;
begin
for J:=1 to MB do
 begin
  for I:=1 to N do
   begin
    RAB1[(I-1)+(J-1)*N] := A[(I-1)+(J-1)*N];
_1:
   end;
 end;
N1 := N+1;
N2 := N*2+1;
N3 := N*3+1;
N4 := N*4+1;
N5 := N*5+1;
NV := N*(MB*2-1);
AER2E(N,N,MB,A,RAB2,RAB2[N1-1],RAB2[N2-1], False,A);
EPS1 := 0.0e0;
AER4E(N,EPS1,RAB2,RAB2[N1-1],RAB2[N2-1],RLB,RUB,MM,M,
     EV,IRAB1,IERR,RAB2[N3-1],RAB2[N4-1]);
if ( IERR <> 0 ) 
 then goto _2;
AER3E(N,N,MB,RAB1,0.0e0,M,EV,V,IERR,NV,RAB2[N5-1],
     RAB2[N4-1]);
_2:
if ( IERR <> 0 ) 
 then UTAE10(IERR,N,28);
end;

end.
